const config = {
	mode: 'jit',
	content: ['./web_src/**/*.{html,js,svelte,ts}'],

	theme: {
		extend: {
			typography: () => ({
				DEFAULT: {
					css: {
						'code::before': {
							content: 'none'
						},
						'code::after': {
							content: 'none'
						},
						'blockquote p:first-of-type::before': {
							content: 'none'
						},
						'blockquote p:last-of-type::after': {
							content: 'none'
						},
						code: {
							padding: '2px 4px',
							fontWeight: '400',
							backgroundColor: '#eee',
							borderRadius: '2px'
						}
					}
				}
			})
		}
	},

	plugins: [require('@tailwindcss/typography'), require('@tailwindcss/forms')]

	// daisyui: {
	// 	themes: [
	// 		{
	// 			hackathon: {
	// 				primary: '#9BA77A',
	// 				'primary-focus': '#5E6536',
	// 				'primary-content': '#EAE7E4',
	// 				secondary: '#A8351E',
	// 				'secondary-focus': '#703529',
	// 				'secondary-content': '#EAE7E4',
	// 				accent: '#283D70',
	// 				'accent-focus': '#2E3546',
	// 				'accent-content': '#EAE7E4',
	// 				neutral: '#1F1B12',
	// 				'neutral-focus': '#4F4630',
	// 				'neutral-content': '#EAE7E4',
	// 				'base-100': '#EBDCB3',
	// 				'base-200': '#E0C98A',
	// 				'base-300': '#B89876',
	// 				'base-content': '#3F270E',
	// 				info: '#2094f3',
	// 				success: '#009485',
	// 				warning: '#ff9900',
	// 				error: '#ff5724'
	// 			}
	// 		}
	// 	]
	// },
};

module.exports = config;
